cgD3D9RegisterStates(3)

NAME
cgD3D9RegisterStates - registers graphics pass states for CgFX files

SYNOPSIS
  #include <Cg/cgD3D9.h>
  void cgD3D9RegisterStates( CGcontext context );

PARAMETERS

context
    The context in which to register the states.

RETURN VALUES
None.

DESCRIPTION
cgD3D9RegisterStates registers a set of states for passes in techniques in CgFX effect files. These states correspond to the set of D3D states that is relevant and/or useful to be set in passes in effect files. See the Cg User's Guide for complete documentation of the states that are made available after calling cgD3D9RegisterStates.

EXAMPLES
  // register D3D9 states for this context
  cgD3D9RegisterStates(context);

ERRORS
CG_INVALID_CONTEXT_ERROR is generated if context is invalid.

HISTORY
cgD3D9RegisterStates was introduced in Cg 1.5.

SEE ALSO
cgAddState, cgSetPassState, cgResetPassState, cgValidatePassState